/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package FacilityMgmt.FacilityMaintenance;

import java.util.Date;
import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class FacilityMaintenance {
    public void makeFacilityMaintenance() {
    }

    public Vector assessCompletionTimeliness() {
        return new Vector();
    }

    public int assessMaintenanceCompleteness() {
        return 0;
    }

    public void post() {
    }

    public boolean mi_isCompleted() {
        return false;
    }

    public BigDecimal mi_estimatePercentCompleted() {
        return new BigDecimal(0);
    }

    public static Vector listFacilityMaintenances() {
        return new Vector();
    }

    private String name;
    private String description;
    private Date startDate;
    private Date dueDate;

    /**
     *@clientCardinality 0..*
     *@supplierCardinality 1
     * @clientRole (usually 0..1)
     */
    private FacilityMaintRequest lnkUnnamed;

    /**
     * @shapeType AggregationLink
     * @associates <b>FacilityMaintTask</b>
     * @supplierCardinality 1..*
     * @clientCardinality 1
     */
    private Vector lnkUnnamed2;
    private Date completionDate;

    /** @supplierCardinality 1 */
    private IMakeFacilityMaintenance lnkUnnamed1;
    private int status;

    /**
     * @supplierCardinality 0..1
     * @clientCardinality 0..1
     */
    private AccountingMgmt.Posting.Posting lnkUnnamed3;
}


